
Redmine - Defect #8542

Deprecation warning during upgrade

2011-06-06 14:14 - Dave Abrahams

Status: Closed Start date: 2011-06-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

I'm getting

rake generate_session_store

(in /tmp/redmine)

DEPRECATION WARNING: Rake tasks in vendor/plugins/engines/tasks and vendor/plugins/open_id_authent

ication/tasks are deprecated. Use lib/tasks instead. (called from /tmp/redmine/vendor/rails/railti

es/lib/tasks/rails.rb:10)

but the upgrade instructions neither warn me about it, nor tell me if I have to be concerned about it.

History

#1 - 2011-06-08 14:29 - Ве Fio

Did you upgrade Rails to 2.3.11?

#2 - 2011-06-09 10:24 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Indeed, it's a Rails "issue" with latest Rake, JPL already updated Redmine tasks to be compatible.

#3 - 2011-06-09 13:00 - Dave Abrahams

Wait a sec, my report is invalid?  Why?  Shouldn't the upgrade instructions mention this?

#4 - 2011-06-10 10:08 - Etienne Massip

This is just warning, the upgrade instructions can't mention every warning relative to the use of every version of every gem required by RM ?
